Bug 126870 - Files with .gpg extensions not recognized
Files with .gpg extensions not recognized
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: shared-mime-info (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-28 12:24 EDT by Gérard Milmeister
Modified: 2013-03-05 22:40 EST (History)
1 user (show)

See Also:
Fixed In Version: shared-mime-info-0.16-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-01 10:18:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gérard Milmeister 2004-06-28 12:24:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040510 Galeon/1.3.15

Description of problem:
.pgp files are correctly recognized and shown as application/pgp in
nautilus. However this is not the case with .gpg files. I then added
then extension gpg to gnome.mime and gnome-vfs.mime under the
application/pgp heading. In the "File Types and Programs" tool the
extension appears correctly in Security/PGP message, but nautilus
still does only recognize the file as Type: Unknown type, MIME type:
application/octet-stream.
When I rename a file from m.gpg to m.pgp it is recognized correctly.

Version-Release number of selected component (if applicable):
gnome-vfs2-2.6.0-8

How reproducible:
Always

Steps to Reproduce:
1. With nautilus show properties of files with .gpg extension
   Wrong mime-type
2. With nautilus show properties of files with extension changed to .pgp
   Correct mime-type

Additional info:
Comment 1 Gérard Milmeister 2005-02-14 16:39:21 EST
This should also be include in freedesktop.org.xml

Note You need to log in before you can comment on or make changes to this bug.